Subject: fixincludes problem
From: [email-masked] (David Croley)

20 Nov 1998 05:19:25 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I am building a cross-compiler using gcc-2.8.1 and I noticed that
"fixincludes" is broken under both B19 and B20.

The problem is that fixincludes depends on "file" and "file." being diffirent
files. It appears that under cygwin this is not the case, as "file." is
created as "file".

It is simple to change fixincludes to use something like "file.tmp" instead of
"file.", but it would be better to change cygwin. It appears the the latest
fixincludes included with egsc-1.1 has the same problem.

sorry, no diffs around...

for gcc-2.8.1...
lines 337-338, change from
        ' $2/$file > $2/$file.
        mv $2/$file. $2/$file
to
        ' $2/$file > $2/$file.tmp
        mv $2/$file.tmp $2/$file

David

-- 
David Croley		 : "Why, sometimes I've believed as many as six
[email-masked] : impossible things before breakfast."
Motorola - SARL		 :  -- The Queen of Hearts, Lewis Carroll, in
Austin, Texas		 : "Through the Looking Glass"
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".